Name:		alterator-http
Version:	0.2
Release:	alt6

Packager:       Stanislav Ievlev <inger@altlinux.org>

Summary: alterator http/cgi libraries
License: GPL
Group: System/Configuration/Other

Source: %name-%version.tar

# Automatically added by buildreq on Fri Oct 27 2006
BuildRequires: alterator guile16-devel libexpat-devel libfcgi-devel

%description
alterator http/cgi libraries

%prep
%setup -q

%build
%make_build

%install
%makeinstall HTMLROOT=$RPM_BUILD_ROOT%_var/www/

%files
%_datadir/alterator/interfaces/guile/http
%_libdir/*


%changelog
* Thu Mar 29 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- remove dependency on webserver (#11269)

* Thu Mar 22 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- add support for embedded styles

* Fri Mar 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- throw exception on xml parsing error

* Tue Mar 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- add library for language -> locale conversion

* Mon Mar 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- fix attribute quotation
- remove unused scm->string function

* Wed Feb 28 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- preliminary support for "multipart/form-data" content-type
- minor code improvements

* Wed Dec 20 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt13
- optimize xml output (replace scm->string with scm->out)
- add support for entities

* Mon Dec 18 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt12
- little improvements in content-type reading

* Mon Dec 11 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt11
- add http-header-variable function
- flat list directly in make-cb
- decode url component name too
- add replace-tag: library function

* Fri Dec 01 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt10
- use compose function from library

* Mon Nov 27 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt9
- advanced XSS protection
- add support for comments
- content decoding improvements
- fix get-languages

* Fri Nov 24 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt8
- fix plist requires

* Mon Nov 20 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt7
- \r auto removal
- template improvements

* Thu Nov 16 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- improve content-length checks

* Wed Nov 15 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- template engine improvements

* Tue Nov 07 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- pass inner tag content to lambda

* Wed Oct 18 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- added support for html templates

* Tue Oct 10 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- added script-name helper

* Wed Oct 04 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release

